//---------------------------------------------------------------------------

#ifndef FrmCctvCam_OLDFH
#define FrmCctvCam_OLDFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include "CDSFacilityF.h"
#include <ADODB.hpp>
#include <DB.hpp>
//---------------------------------------------------------------------------
class TFrmCctvCam_OLD : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlBack;
    TTimer *TmrShow;
    TPanel *PnlBlob;
    TADOQuery *pADO;
    TImage *ImgBlob;
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations

    bool    FDispBlob;
    DWORD   FProcessId;
    HWND    FWnd;
    PROCESS_INFORMATION     ProcessInfo;
public:		// User declarations

    TItsCctv *FObj;
    TForm    *FPalyerForm;

    void __fastcall CamPlay();
    void __fastcall CamStop();

    void __fastcall RefreshCctv();

    __fastcall TFrmCctvCam_OLD(TComponent* Owner);
};
//---------------------------------------------------------------------------
//extern PACKAGE TFrmCctvCam *FrmCctvCam;
//---------------------------------------------------------------------------
#endif

